/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2017-2020 Apple Inc. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE INC. AND ITS CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE INC. OR ITS CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "config.h"
#include "InternalSettingsGenerated.h"

#include "Page.h"
#include "Settings.h"

namespace WebCore {

InternalSettingsGenerated::InternalSettingsGenerated(Page* page)
    : m_page(page)
<%- for @setting in @allSettingsSet.settings do -%>
<%- if @setting.excludeFromInternalSettings == false and @setting.idlType -%>
<%- if @setting.condition -%>
#if <%= @setting.condition %>
<%- end -%>
    , m_<%= @setting.name %>(page->settings().<%= @setting.getterFunctionName %>())
<%- if @setting.condition -%>
#endif
<%- end -%>
<%- end -%>
<%- end -%>
{
}

InternalSettingsGenerated::~InternalSettingsGenerated()
{
}

void InternalSettingsGenerated::resetToConsistentState()
{
<%- for @setting in @allSettingsSet.settings do -%>
<%- if @setting.excludeFromInternalSettings == false and @setting.idlType -%>
<%- if @setting.condition -%>
#if <%= @setting.condition %>
<%- end -%>
    m_page->settings().<%= @setting.setterFunctionName %>(m_<%= @setting.name %>);
<%- if @setting.condition -%>
#endif
<%- end -%>
<%- end -%>
<%- end -%>
}

<%- for @setting in @allSettingsSet.settings do -%>
<%- if @setting.excludeFromInternalSettings == false and @setting.idlType -%>
void InternalSettingsGenerated::<%= @setting.setterFunctionName %>(<%= @setting.parameterType %> <%= @setting.name %>)
{
<%- if @setting.condition -%>
#if <%= @setting.condition %>
    m_page->settings().<%= @setting.setterFunctionName %>(<%= @setting.name %>);
#else
    UNUSED_PARAM(<%= @setting.name %>);
#endif
<%- else -%>
    m_page->settings().<%= @setting.setterFunctionName %>(<%= @setting.name %>);
<%- end -%>
}

<%- end -%>
<%- end -%>
} // namespace WebCore
